Bug 1335325 - No module named 'pkg_resources'
Summary: No module named 'pkg_resources'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: borgbackup
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Benjamin Pereto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-11 22:32 UTC by Peter Meier
Modified: 2016-06-08 05:20 UTC (History)
2 users (show)

Fixed In Version: borgbackup-1.0.3-1.fc24 borgbackup-1.0.3-1.fc23 borgbackup-1.0.3-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-28 03:32:31 UTC


Attachments (Terms of Use)

Description Peter Meier 2016-05-11 22:32:19 UTC
Description of problem:

# borg
Traceback (most recent call last):
  File "/usr/bin/borg", line 5, in <module>
    from pkg_resources import load_entry_point
ImportError: No module named 'pkg_resources'

Version-Release number of selected component (if applicable):

# rpm -qi borgbackup
Name        : borgbackup
Version     : 1.0.2
Release     : 1.el7
Architecture: x86_64
Install Date: Wed 11 May 2016 11:05:28 PM CEST
Group       : Unspecified
Size        : 1576195
License     : BSD
Signature   : RSA/SHA256, Mon 18 Apr 2016 01:05:46 AM CEST, Key ID 6a2faea2352c64e5
Source RPM  : borgbackup-1.0.2-1.el7.src.rpm
Build Date  : Sun 17 Apr 2016 02:04:29 PM CEST
Build Host  : buildvm-23-nfs.phx2.fedoraproject.org
Relocations : (not relocatable)
Packager    : Fedora Project
Vendor      : Fedora Project
URL         : https://borgbackup.readthedocs.org
Summary     : A deduplicating backup program with compression and authenticated encryption
Description :
BorgBackup (short: Borg) is a deduplicating backup program. Optionally, it
supports compression and authenticated encryption.



How reproducible:

Install borg, try to use it.

Steps to Reproduce:
1. yum install --enablerepo=epel-testing borgbackup
2. borg
3. boom!

Actual results:

boom

Expected results:

borgbackups!

Additional info:

Comment 1 Felix Schwarz 2016-05-21 21:15:27 UTC
The package is missing a dependency on python34-setuptools (we actually need it for running borg, not just at build time). Quite an easy fix.

Comment 2 Fedora Update System 2016-05-23 10:31:47 UTC
borgbackup-1.0.3-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-20af6a7ed6

Comment 3 Fedora Update System 2016-05-23 10:32:29 UTC
borgbackup-1.0.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-77f7410568

Comment 4 Fedora Update System 2016-05-23 10:33:43 UTC
borgbackup-1.0.3-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-1b4d00dabe

Comment 5 Peter Meier 2016-05-23 19:03:12 UTC
I can confirm that installing python34-setuptools fixes the problem.

Comment 6 Fedora Update System 2016-05-24 02:51:58 UTC
borgbackup-1.0.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-77f7410568

Comment 7 Fedora Update System 2016-05-24 02:56:17 UTC
borgbackup-1.0.3-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-20af6a7ed6

Comment 8 Fedora Update System 2016-05-24 06:19:13 UTC
borgbackup-1.0.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-1b4d00dabe

Comment 9 Fedora Update System 2016-05-28 03:32:25 UTC
borgbackup-1.0.3-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-06-01 20:23:01 UTC
borgbackup-1.0.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-06-08 05:20:09 UTC
borgbackup-1.0.3-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.